.text-with-icons__wrapper {
  display: grid;
  --column-gap: 7rem;
  column-gap: var(--column-gap);
  grid-template-columns: repeat(3, 1fr);
}

.text-with-icons__item {
  display: flex;
  align-items: center;
  gap: 1.1rem;
  max-width: 100%;
  width: fit-content;
}
.text-with-icons__icon {
  width: 4.6rem;
  height: 4.6rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  border-radius: 50%;
}
.text-with-icon-section .page-width {
  --page-width: 125rem;
}
.text-with-icons__icon img {
  object-fit: contain;
}

.text-with-icons__text {
  font-size: 1.8rem;
  color: rgb(var(--color-foreground));
  line-height: 1.225;
  text-transform: uppercase;
  letter-spacing: normal;
}
@media screen and (max-width: 1199px) {
  .text-with-icons__text {
    font-size: 1.6rem;
  }
  .text-with-icons__wrapper {
    --column-gap: 3rem;
  }
}
@media screen and (min-width: 990px) {
  .text-with-icons__item .text-with-icons__text {
    padding: 7px 15px;
    margin-inline: -4px;
    min-height: 58px;
    display: flex;
    align-items: center;
  }
  .text-with-icons__item:hover .text-with-icons__text {
    background-color: rgba(var(--color-button));
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 304 59'%3E%3Cpath d='M1.66751 50.476C-2.08439 42.3326 1.66751 23.8535 1.66751 14.1726C1.66751 0.861384 23.4871 -1.2628 44.1641 2.07152C64.8411 5.40585 162.475 3.50068 190.3 2.07152C212.324 0.940362 274.949 -1.96218 300.968 2.07152C302.991 18.2063 306.949 44.5256 296.976 50.476C291.393 53.8063 171.7 59.8693 131.326 57.8368C35.7402 53.0249 9.47304 67.4175 1.66751 50.476Z' fill='black'/%3E%3C/svg%3E");
    mask-size: 100% 100%;
    mask-repeat: no-repeat;
    position: relative;
    right: 0px;
  }
  .text-with-icons__wrapper .text-with-icons__item:first-child .text-with-icons__text:hover {
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 127 57'%3E%3Cpath d='M0.694828 48.7649C-0.868535 40.8976 0.694828 23.0449 0.694828 13.6922C0.694828 0.832185 9.78672 -1.21999 18.4025 2.0013C27.0183 5.2226 67.7011 3.38201 79.2953 2.0013C88.4721 0.908485 114.567 -1.89566 125.409 2.0013C126.252 17.5892 127.901 43.0162 123.745 48.7649C121.419 51.9823 71.5447 57.8398 54.7214 55.8762C14.8924 51.2274 3.94727 65.1322 0.694828 48.7649Z' fill='black'/%3E%3C/svg%3E");
  }
  .text-with-icons__item:hover .text-with-icons__icon span,
  .text-with-icons__item:hover .text-with-icons__icon img {
    opacity: 0;
  }
  .text-with-icons__item .text-with-icons__icon span,
  .text-with-icons__item .text-with-icons__icon img {
    transition: opacity .2s, transform .15s ease-in-out;
  }
  .text-with-icons__item {
    gap: 0rem;
  }
  .text-with-icons__item:hover .text-with-icons__text {
    color: #ffffff;
  }
  .text-with-icons__icon img {
    transition: .2s transform;
  }
  .text-with-icons__item:hover .text-with-icons__icon img {
    transform: translate(-9px, 21px);
  }
  .text-with-icons__icon span {
    content: "";
    width: 4.6rem;
    height: 4.6rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    border: 1.5px solid #068948;
    border-radius: 50%;
    padding: 8px;
    position: absolute;
    transition: .2s transform;
  }
  .text-with-icons__item:hover .text-with-icons__icon span {
    transform: translateX(40px);
  }
}
@media screen and (max-width: 989px) {
  .text-with-icons__icon {
    border: 1.5px solid #068948;
  }
  .text-with-icons__icon img {
    object-fit: contain;
    width: 65%;
    height: 65%;
  }
}
@media screen and (max-width: 749px) {
  .text-with-icons__wrapper {
    grid-template-columns: repeat(1, 1fr);
    gap: 1.5rem;
    max-width: 285px;
    margin-inline: auto;
  }
  .text-with-icons__item {
    width: 100%;
  }  
  .text-with-icons__icon {
    width: 3.2rem;
    height: 3.2rem;
  }
}
